## modglue 1.17

=== debian/changelog ===
modglue (1.17-4) unstable; urgency=medium

  * QA upload.
  * Comment out unused struct violating flexible array member constraints,
    fixing FTBFS with modern compilers.  (Closes: #954602)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 May 2020 15:22:02 +0200

modglue (1.17-3) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #834847)
  * Acknowledge NMU.  (Closes: #815337)
  * Update watch file.  (Closes: #731571)
  * Make the build reproducible, thanks to Reiner Herrmann.  (Closes: #829762)
  * Switch to debhelper compat level 10 and minimal dh rules.
  * Update debian/copyright to copyright-format 1.0.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Jan 2017 19:30:13 +0100

modglue (1.17-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * libmodglue1v5: Add Breaks+Replaces: libmodglue1.  (Closes: #796864)
  * Drop obsolete DMUA flag.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Sep 2015 23:27:37 +0200

modglue (1.17-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ 5 transition (see #791204)
  * Make libmodglue1-dev arch:any so that it can have a tight
    dependency on the library package, and add that dependency

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 14 Aug 2015 18:27:41 +0100

modglue (1.17-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761777.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:57:58 +0000

modglue (1.17-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622533).
  * Add sigc++ libs for linking (Closes: #555662).
  * Make sure the package is binNMUable.

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 10:00:47 +0200

modglue (1.17-2) unstable; urgency=low

  * Replace ${binary:Version} with libmodglue1 (= ${binary:Version}).
    libmodglue1-dev became uninstallable in Sid as it depended on the
    package "1.17-1" which obviously didn't exist.  Closes: #583816.

 -- Iulian Udrea <iulian@ubuntu.com>  Mon, 31 May 2010 10:12:17 +0100

modglue (1.17-1) unstable; urgency=low

  * New upstream release.
    + Fix FTBFS.  Closes: #582996.
    + Remove RPATH from prompt.
    + Fix 'incorrect-libdir-in-la-file usr/lib/libmodglue.la /usr//lib !=
    /usr/lib' lintian error.
  * Add chrpath to Build-Depends.
  * Add ${binary:Version} to fix 'weak-library-dev-dependency' lintian
    error.

 -- Iulian Udrea <iulian@ubuntu.com>  Fri, 28 May 2010 19:32:22 +0100

modglue (1.16-1) unstable; urgency=low

  * New upstream release.
    + Fixed problem with gcc-4.4.
  * New maintainer.
  * debian/control:
    - Add DM-Upload-Allowed field.
    - Bump Standards-Version to 3.8.4 (no changes required).
    - Add ${misc:Depends} to both libmodglue1 and libmodglue1-dev
  * Use DEP-5: Machine-readable debian/copyright.
  * Add myself to copyright.
  * Drop debian/patches/01-gcc44_ftbfs.dpatch
  * Remove dpatch from debian/rules and debian/control.
  * Switch to 3.0 (quilt) source format.
  * Bump debhelper version to 7.0.50.

 -- Iulian Udrea <iulian@ubuntu.com>  Tue, 25 May 2010 13:50:05 +0100

modglue (1.13-1) unstable; urgency=low

  * Initial release.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 16:11:15 +0200
