=== debian/control ===
Source: modglue
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.aei.mpg.de/~peekas/modglue/
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libsigc++-2.0-dev,
 libtool,
 libtool-bin,
 chrpath,
Standards-Version: 3.9.8

Package: libmodglue1-dev
Section: libdevel
Architecture: any
Depends: libmodglue1v5 (= ${binary:Version}), ${misc:Depends}
Description: development files for a C++ library for handling of multiple co-processes
 Modglue is a C++ library with classes for forking external
 processes and asynchronous reading from streams. It takes
 away the burden of all subtleties involving the Unix fork
 call. The asynchronous read facility enables one to read on
 multiple input streams at the same time, without losing any
 of the standard C++ stream facilities.
 .
 This package contains the development header files.

Package: libmodglue1v5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libmodglue1
Replaces: libmodglue1
Description: C++ library for handling of multiple co-processes
 Modglue is a C++ library with classes for forking external
 processes and asynchronous reading from streams. It takes
 away the burden of all subtleties involving the Unix fork
 call. The asynchronous read facility enables one to read on
 multiple input streams at the same time, without losing any
 of the standard C++ stream facilities.
