=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --no-parallel

# don't autoreconf
override_dh_autoreconf:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libmodglue1v5 DEVDESTDIR=$(CURDIR)/debian/libmodglue1-dev
	rm `find $(CURDIR)/debian -name '*.la'`
