=== debian/watch ===
version=3
http://cadabra.phi-sci.com/download.html modglue-(.+)\.tar\.gz
