## modglue 1.19

=== debian/changelog ===
modglue (1.19-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Refresh patch.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 06 Dec 2013 15:51:38 -0500
