=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: modglue
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Iulian Udrea <iulian@ubuntu.com>
+Uploaders: Kasper Peeters <kasper.peeters@aei.mpg.de>
+DM-Upload-Allowed: yes
 Homepage: http://www.aei.mpg.de/~peekas/modglue/
-Build-Depends:
- debhelper (>= 10),
- pkg-config,
- libsigc++-2.0-dev,
- libtool,
- libtool-bin,
- chrpath,
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 7.0.50), pkg-config, libsigc++-2.0-dev, libtool, chrpath
+Standards-Version: 3.8.4
 
 Package: libmodglue1-dev
 Section: libdevel
-Architecture: any
-Depends: libmodglue1v5 (= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Depends: libmodglue1 (>= ${binary:Version}), ${misc:Depends}
 Description: development files for a C++ library for handling of multiple co-processes
  Modglue is a C++ library with classes for forking external
  processes and asynchronous reading from streams. It takes
@@ -26,11 +22,9 @@
  .
  This package contains the development header files.
 
-Package: libmodglue1v5
+Package: libmodglue1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libmodglue1
-Replaces: libmodglue1
 Description: C++ library for handling of multiple co-processes
  Modglue is a C++ library with classes for forking external
  processes and asynchronous reading from streams. It takes
